Debian Bug report logs - #542897
ttf-indic-fonts: Old config files left after upgrade

version graph

Package: ttf-indic-fonts; Maintainer for ttf-indic-fonts is Debian-IN Team <debian-in-workers@lists.alioth.debian.org>; Source for ttf-indic-fonts is src:fonts-indic.

Reported by: Theppitak Karoonboonyanan <thep@debian.org>

Date: Sat, 22 Aug 2009 04:15:02 UTC

Severity: minor

Tags: patch

Found in version ttf-indic-fonts/1:0.5.6

Fixed in version ttf-indic-fonts/1:0.5.8

Done: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian-IN Team <debian-in-workers@lists.alioth.debian.org>:
Bug#542897; Package ttf-indic-fonts. (Sat, 22 Aug 2009 04:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Theppitak Karoonboonyanan <thep@debian.org>:
New Bug report received and forwarded. Copy sent to Debian-IN Team <debian-in-workers@lists.alioth.debian.org>. (Sat, 22 Aug 2009 04:15:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Theppitak Karoonboonyanan <thep@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ttf-indic-fonts: Old config files left after upgrade
Date: Sat, 22 Aug 2009 11:08:57 +0700
Package: ttf-indic-fonts
Version: 1:0.5.6
Severity: minor

ttf-indic-fonts 1:0.5.5 sub-packages have renamed the config files under
/etc/fonts/conf.d/ by adding numeric prefix. But the old config files remain
uncleaned, namely:

  /etc/fonts/conf.d/ttf-bengali-fonts.conf
  /etc/fonts/conf.d/ttf-devanagari-fonts.conf
  /etc/fonts/conf.d/ttf-gujarati-fonts.conf
  /etc/fonts/conf.d/ttf-kannada-fonts.conf
  /etc/fonts/conf.d/ttf-malayalam-fonts.conf
  /etc/fonts/conf.d/ttf-oriya-fonts.conf
  /etc/fonts/conf.d/ttf-punjabi-fonts.conf
  /etc/fonts/conf.d/ttf-tamil-fonts.conf
  /etc/fonts/conf.d/ttf-telugu-fonts.conf

Please consider removing these old conffiles in the corresponding sub-packages'
preinst, according to this:

  http://wiki.debian.org/DpkgConffileHandling

Thanks,

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=th_TH.UTF-8, LC_CTYPE=th_TH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ttf-indic-fonts depends on:
ii  ttf-bengali-fonts             1:0.5.6    Free TrueType fonts for the Bengal
ii  ttf-devanagari-fonts          1:0.5.6    Free TrueType fonts for languages 
ii  ttf-gujarati-fonts            1:0.5.6    Free TrueType fonts for the Gujara
ii  ttf-kannada-fonts             1:0.5.6    Free TrueType fonts for the Kannad
ii  ttf-malayalam-fonts           1:0.5.6    Free TrueType fonts for the Malaya
ii  ttf-oriya-fonts               1:0.5.6    Free TrueType fonts for the Oriya 
ii  ttf-punjabi-fonts             1:0.5.6    Free TrueType fonts for the Punjab
ii  ttf-tamil-fonts               1:0.5.6    Free TrueType fonts for the Tamil 
ii  ttf-telugu-fonts              1:0.5.6    Free TrueType fonts for the Telugu

ttf-indic-fonts recommends no packages.

ttf-indic-fonts suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-IN Team <debian-in-workers@lists.alioth.debian.org>:
Bug#542897; Package ttf-indic-fonts. (Mon, 15 Mar 2010 07:48:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Theppitak Karoonboonyanan <thep@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian-IN Team <debian-in-workers@lists.alioth.debian.org>. (Mon, 15 Mar 2010 07:48:14 GMT) Full text and rfc822 format available.

Message #10 received at 542897@bugs.debian.org (full text, mbox):

From: Theppitak Karoonboonyanan <thep@debian.org>
To: 542897@bugs.debian.org, control@bugs.debian.org
Subject: NMU offer
Date: Mon, 15 Mar 2010 14:46:48 +0700
[Message part 1 (text/plain, inline)]
package ttf-indic-fonts
tags 542897 + patch
thanks

Hello from Thailand Mini-DebCamp 2010 BSP
  http://wiki.debian.org/DebianThailand/MiniDebCamp2010/BSP

This bug has been almost 7 months old. So, I've prepared a patch
for it, as attached. Is it OK for NMU?

Regards,
-- 
Theppitak Karoonboonyanan
http://linux.thai.net/~thep/
[ttf-indic-fonts_0.5.7+nmu1.debdiff (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Theppitak Karoonboonyanan <thep@debian.org> to control@bugs.debian.org. (Mon, 15 Mar 2010 07:48:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-IN Team <debian-in-workers@lists.alioth.debian.org>:
Bug#542897; Package ttf-indic-fonts. (Mon, 15 Mar 2010 09:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kartik Mistry <kartik@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian-IN Team <debian-in-workers@lists.alioth.debian.org>. (Mon, 15 Mar 2010 09:00:03 GMT) Full text and rfc822 format available.

Message #17 received at 542897@bugs.debian.org (full text, mbox):

From: Kartik Mistry <kartik@debian.org>
To: Theppitak Karoonboonyanan <thep@debian.org>, 542897@bugs.debian.org
Subject: Re: [Debian-in-workers] Bug#542897: NMU offer
Date: Mon, 15 Mar 2010 14:27:54 +0530
On Mon, Mar 15, 2010 at 1:16 PM, Theppitak Karoonboonyanan
<thep@debian.org> wrote:
> Hello from Thailand Mini-DebCamp 2010 BSP
>  http://wiki.debian.org/DebianThailand/MiniDebCamp2010/BSP
>
> This bug has been almost 7 months old. So, I've prepared a patch
> for it, as attached. Is it OK for NMU?

Thanks for the offer, patch and slapping my sleepy head.

I've applied it in SVN (r774), upload will follow tonight.

-- 
 Cheers,
 Kartik Mistry | 0xD1028C8D | IRC: kart_
 Debian GNU/Linux Developer | Identica: @kartikm
 Blogs: {ftbfs, kartikm}.wordpress.com




Reply sent to Debian-IN Team <debian-in-workers@lists.alioth.debian.org>:
You have taken responsibility. (Mon, 15 Mar 2010 18:52:23 GMT) Full text and rfc822 format available.

Notification sent to Theppitak Karoonboonyanan <thep@debian.org>:
Bug acknowledged by developer. (Mon, 15 Mar 2010 18:52:23 GMT) Full text and rfc822 format available.

Message #22 received at 542897-close@bugs.debian.org (full text, mbox):

From: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
To: 542897-close@bugs.debian.org
Subject: Bug#542897: fixed in ttf-indic-fonts 1:0.5.8
Date: Mon, 15 Mar 2010 18:32:28 +0000
Source: ttf-indic-fonts
Source-Version: 1:0.5.8

We believe that the bug you reported is fixed in the latest version of
ttf-indic-fonts, which is due to be installed in the Debian FTP archive:

ttf-bengali-fonts_0.5.8_all.deb
  to main/t/ttf-indic-fonts/ttf-bengali-fonts_0.5.8_all.deb
ttf-devanagari-fonts_0.5.8_all.deb
  to main/t/ttf-indic-fonts/ttf-devanagari-fonts_0.5.8_all.deb
ttf-gujarati-fonts_0.5.8_all.deb
  to main/t/ttf-indic-fonts/ttf-gujarati-fonts_0.5.8_all.deb
ttf-indic-fonts_0.5.8.dsc
  to main/t/ttf-indic-fonts/ttf-indic-fonts_0.5.8.dsc
ttf-indic-fonts_0.5.8.tar.gz
  to main/t/ttf-indic-fonts/ttf-indic-fonts_0.5.8.tar.gz
ttf-indic-fonts_0.5.8_all.deb
  to main/t/ttf-indic-fonts/ttf-indic-fonts_0.5.8_all.deb
ttf-kannada-fonts_0.5.8_all.deb
  to main/t/ttf-indic-fonts/ttf-kannada-fonts_0.5.8_all.deb
ttf-malayalam-fonts-udeb_0.5.8_all.udeb
  to main/t/ttf-indic-fonts/ttf-malayalam-fonts-udeb_0.5.8_all.udeb
ttf-malayalam-fonts_0.5.8_all.deb
  to main/t/ttf-indic-fonts/ttf-malayalam-fonts_0.5.8_all.deb
ttf-oriya-fonts_0.5.8_all.deb
  to main/t/ttf-indic-fonts/ttf-oriya-fonts_0.5.8_all.deb
ttf-punjabi-fonts_0.5.8_all.deb
  to main/t/ttf-indic-fonts/ttf-punjabi-fonts_0.5.8_all.deb
ttf-tamil-fonts-udeb_0.5.8_all.udeb
  to main/t/ttf-indic-fonts/ttf-tamil-fonts-udeb_0.5.8_all.udeb
ttf-tamil-fonts_0.5.8_all.deb
  to main/t/ttf-indic-fonts/ttf-tamil-fonts_0.5.8_all.deb
ttf-telugu-fonts_0.5.8_all.deb
  to main/t/ttf-indic-fonts/ttf-telugu-fonts_0.5.8_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 542897@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Debian-IN Team <debian-in-workers@lists.alioth.debian.org> (supplier of updated ttf-indic-fonts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 15 Mar 2010 23:31:18 +0530
Source: ttf-indic-fonts
Binary: ttf-indic-fonts ttf-bengali-fonts ttf-devanagari-fonts ttf-gujarati-fonts ttf-kannada-fonts ttf-malayalam-fonts ttf-malayalam-fonts-udeb ttf-oriya-fonts ttf-punjabi-fonts ttf-tamil-fonts ttf-tamil-fonts-udeb ttf-telugu-fonts
Architecture: source all
Version: 1:0.5.8
Distribution: unstable
Urgency: low
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Changed-By: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Description: 
 ttf-bengali-fonts - Free TrueType fonts for the Bengali language
 ttf-devanagari-fonts - Free TrueType fonts for languages using the Devanagari script
 ttf-gujarati-fonts - Free TrueType fonts for the Gujarati language
 ttf-indic-fonts - Metapackage for free Indian language fonts
 ttf-kannada-fonts - Free TrueType fonts for the Kannada language
 ttf-malayalam-fonts - Free TrueType fonts for the Malayalam language
 ttf-malayalam-fonts-udeb - Free TrueType fonts for the Malayalam language (udeb)
 ttf-oriya-fonts - Free TrueType fonts for the Oriya language
 ttf-punjabi-fonts - Free TrueType fonts for the Punjabi language
 ttf-tamil-fonts - Free TrueType fonts for the Tamil language
 ttf-tamil-fonts-udeb - Free TrueType fonts for the Tamil language (udeb)
 ttf-telugu-fonts - Free TrueType fonts for the Telugu language
Closes: 542897
Changes: 
 ttf-indic-fonts (1:0.5.8) unstable; urgency=low
 .
   [Kartik Mistry]
   * debian/*.preinst:
     + Remove obsolete fontconfig files renamed since 0.5.5, Thanks to
       Theppitak Karoonboonyanan <thep@debian.org> (Closes: #542897)
Checksums-Sha1: 
 c902a017bf4a2434344888841eea0dd7d7539266 1249 ttf-indic-fonts_0.5.8.dsc
 faf798e0e2c6a49ca57cf15c59d7c513ac02c42a 4844738 ttf-indic-fonts_0.5.8.tar.gz
 deee6a22b1ef7065d8dba4f7209c96ce6adf0e69 7520 ttf-indic-fonts_0.5.8_all.deb
 80e428db0e10f8fc451cc91b35a9ee173f128fe7 511250 ttf-bengali-fonts_0.5.8_all.deb
 264f1df10b8237b25ab293f93640ad6d37c0d6cc 1823616 ttf-devanagari-fonts_0.5.8_all.deb
 d6bb0a6f71c7e12115e11871f6999b09f32c6a81 289956 ttf-gujarati-fonts_0.5.8_all.deb
 73d174d34a6053fa1e4df6e9415ec760c04bc052 515992 ttf-kannada-fonts_0.5.8_all.deb
 9843a17ad1b98f52f0818d8b9836a7cbaf0a7cca 811434 ttf-malayalam-fonts_0.5.8_all.deb
 c3b5e5cb562e63a313cdeb5d3cfcb62495e062f1 157358 ttf-malayalam-fonts-udeb_0.5.8_all.udeb
 9276e9390140e7c8f8478342042fc327fedaf8c9 202062 ttf-oriya-fonts_0.5.8_all.deb
 1e7a43aeba69669c8e5a045cccce264369498aa9 71752 ttf-punjabi-fonts_0.5.8_all.deb
 2f02ed9c20586c97c74b543da77599541a3e3c2b 400446 ttf-tamil-fonts_0.5.8_all.deb
 9ffe598344a683ac703f555919676b7e87bdf1d4 35938 ttf-tamil-fonts-udeb_0.5.8_all.udeb
 389573113843783fd7e45ecbff5e1e23c761225e 279768 ttf-telugu-fonts_0.5.8_all.deb
Checksums-Sha256: 
 8242d6d74e817ca644912d554681bad4661087606b180c19be2c5af438b9525c 1249 ttf-indic-fonts_0.5.8.dsc
 64a00cc1d2243f46c1921b26f945f5543a791aa8f0b5b3e5c8f2fb0fc8555e19 4844738 ttf-indic-fonts_0.5.8.tar.gz
 473b02ff83a6a4cac78555c554786641e4784448cbf0f3235643db8c78e44dcb 7520 ttf-indic-fonts_0.5.8_all.deb
 8e5b4cb2f2f6e8fafee0e93de04b379824318ce0429206e97323009658ffbf15 511250 ttf-bengali-fonts_0.5.8_all.deb
 c09ee65bde42e135531657fc6af63fd17d65aad5a22247c516f7cac41883c85a 1823616 ttf-devanagari-fonts_0.5.8_all.deb
 d8a4a7e14f3597d33b525eada113403f0e988c1df7cc94f402d87c96146467f9 289956 ttf-gujarati-fonts_0.5.8_all.deb
 86155dce08ba65c43b3be160998ed0b669306f73d8278145978f43d70da8c0a9 515992 ttf-kannada-fonts_0.5.8_all.deb
 39b30b0c1d20d67f0c35dd18eacb01699d044c50fd760c8b7d7426930a7d69e5 811434 ttf-malayalam-fonts_0.5.8_all.deb
 9a066b21b0ba7865415e7eb1923b4c0aab86a41336bea99eed98e94254e6638e 157358 ttf-malayalam-fonts-udeb_0.5.8_all.udeb
 f097dbd5bc710df96bfcedb90045c517e17ee8de8eea7086d14b34c4a608e944 202062 ttf-oriya-fonts_0.5.8_all.deb
 d4e7aae064c4e931b69cfec695c9745636d1d1e18dacd830f5059d6bdd356e99 71752 ttf-punjabi-fonts_0.5.8_all.deb
 acb9dec072c41248caa0b2e112899cc61487573b9df66bec9405236cfd3e86bf 400446 ttf-tamil-fonts_0.5.8_all.deb
 1f86121dc16dead8771510f12a2b79f40e704f2aaa3fdfd4bbb1b799a6981629 35938 ttf-tamil-fonts-udeb_0.5.8_all.udeb
 83029320a5098d0168db9a0b94de6633d56ad2b68825b33326da5bdfcd790fab 279768 ttf-telugu-fonts_0.5.8_all.deb
Files: 
 9af49035f5cf5e4aa57525d6dd623e8c 1249 fonts optional ttf-indic-fonts_0.5.8.dsc
 c811e3b689937b6872ec1da2ad5347b9 4844738 fonts optional ttf-indic-fonts_0.5.8.tar.gz
 bc8d56b95589e9f5f3621d1495c69c89 7520 fonts optional ttf-indic-fonts_0.5.8_all.deb
 73f788d2df8ba929930c6a2f676001fc 511250 fonts optional ttf-bengali-fonts_0.5.8_all.deb
 7a3e7f678189f3de08a420e4820e34a1 1823616 fonts optional ttf-devanagari-fonts_0.5.8_all.deb
 4ab2e1740584ce5920706f2c174936fd 289956 fonts optional ttf-gujarati-fonts_0.5.8_all.deb
 76150147a10a8f15afac60acaccff3e6 515992 fonts optional ttf-kannada-fonts_0.5.8_all.deb
 73bf67b9c13f238364b08facda47543a 811434 fonts optional ttf-malayalam-fonts_0.5.8_all.deb
 f7f3a5015fe443b0d099fcad917ca397 157358 debian-installer optional ttf-malayalam-fonts-udeb_0.5.8_all.udeb
 01c5a01664868327caa8e5cdd66ca931 202062 fonts optional ttf-oriya-fonts_0.5.8_all.deb
 ed77b8e86e0bfcc8e6d10df0d17d2b5e 71752 fonts optional ttf-punjabi-fonts_0.5.8_all.deb
 1527b08c88df2a58320c26a9d98cd063 400446 fonts optional ttf-tamil-fonts_0.5.8_all.deb
 f4a65c8404f4cf8352383507c1f5dbbd 35938 debian-installer optional ttf-tamil-fonts-udeb_0.5.8_all.udeb
 3cac0d6624c90ddaac2ebbc50fa7d4e1 279768 fonts optional ttf-telugu-fonts_0.5.8_all.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkueetUACgkQoRg/jtECjI3gngCfelRZm4q8qxMSwxRvsv1BX6F5
oUwAoKO3JjEQD/fEGgz41wF8iBrPORJO
=3/8W
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian-IN Team <debian-in-workers@lists.alioth.debian.org>:
Bug#542897; Package ttf-indic-fonts. (Tue, 16 Mar 2010 00:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian-IN Team <debian-in-workers@lists.alioth.debian.org>. (Tue, 16 Mar 2010 00:36:06 GMT) Full text and rfc822 format available.

Message #27 received at 542897@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Kartik Mistry <kartik@debian.org>, 542897@bugs.debian.org
Cc: Theppitak Karoonboonyanan <thep@debian.org>
Subject: Re: [Debian-in-workers] Bug#542897: Bug#542897: NMU offer
Date: Mon, 15 Mar 2010 18:59:42 +0700
[Message part 1 (text/plain, inline)]
Quoting Kartik Mistry (kartik@debian.org):
> On Mon, Mar 15, 2010 at 1:16 PM, Theppitak Karoonboonyanan
> <thep@debian.org> wrote:
> > Hello from Thailand Mini-DebCamp 2010 BSP
> >  http://wiki.debian.org/DebianThailand/MiniDebCamp2010/BSP
> >
> > This bug has been almost 7 months old. So, I've prepared a patch
> > for it, as attached. Is it OK for NMU?
> 
> Thanks for the offer, patch and slapping my sleepy head.
> 
> I've applied it in SVN (r774), upload will follow tonight.


/me applauses while flying to the Thailand miniDebcamp, wearing an
Indlinux t-shirt. We'll be watching you, Kartik..:-)


[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 06 May 2010 08:20:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:34:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.